﻿<template>
    <main>
        <v-container fluid>
            <v-row no-gutters pa-0 justify="center">
                <v-col>
                    <div class="content">
                        <table-work v-if="isAdmin || isManager" />
                    </div>
                </v-col>
            </v-row>
        </v-container>
    </main>
</template>

<script>
    import { mapGetters } from 'vuex'
    import TableWork from '../components/TableWork'

    export default {
        data() {
            return {
                isAdmin: false,
                isManager: false
            }
        },
        computed: {
            ...mapGetters('user', ['getRoles'])
        },
        components: {
            TableWork
        },
        watch: {
            getRoles() {
                if (this.getRoles !== undefined) {
                    if (this.getRoles.includes('Administrator'))
                        this.isAdmin = true;
                    if (this.getRoles.includes('Manager')) {
                        this.isManager = true;
                    }
                }
            }
        }
    }
</script>